const lifecycle = require("./lifecycle.js");
const players = require("./players.js");
const FruitNinja = function() {
  this.spawnDetails = { nextSpawnTime: Date.now() };
};

FruitNinja.prototype.startGame = lifecycle.startGame;
FruitNinja.prototype.step = lifecycle.step;
FruitNinja.prototype.gameLoaded = lifecycle.gameLoaded;
FruitNinja.prototype.resumeGame = lifecycle.resumeGame;
FruitNinja.prototype.gameObjectsDestroyed = players.gameObjectsDestroyed;
FruitNinja.prototype.gameResult = lifecycle.gameResult;
FruitNinja.prototype.collision = players.collision;
module.exports = FruitNinja;
