const bunyan = require("bunyan");

var logger = null;
const createLogger = function() {
  if (logger) return logger;
  let level = process.env.GAME_SERVER_LOGLEVEL || "trace";
  logger = bunyan.createLogger({
    name: "fruitninja",
    stream: process.out,
    level: level,
    src: true
  });
  return logger;
};

module.exports = createLogger;
